Zum Hauptinhalt springen
Version: API v1

Domain Proxies eines Accounts

GET/v1/accounts/{accountIdentifier}/domainsproxies
API-Version
v1
Request-Methode
GET
Operation-ID
domainProxyList

Zeige alle aktiven Domain Proxies eines Accounts an

Request​

  • accountIdentifierstringrequired

    Name oder ID eines Accounts

Responses​

Format
application/json
Beschreibung

Liste alle aktiven Domain Proxies.

  • Array[
    • *object
      • uidinteger
      • domainobject
        • uidinteger
        • namestring
      • subDomainobject
        • uidinteger
        • namestring
      • sourceAccountobject
        • uidinteger
        • namestring
      • destinationAccountobject
        • uidinteger
        • namestring
      • expireDateobject
        • datestring
        • timezone_typeinteger
        • timezonestring
    ]
Content-Type: application/json

[
{
"uid": 123,
"domain": {
"uid": 123,
"name": "string"
},
"subDomain": {
"uid": 123,
"name": "string"
},
"sourceAccount": {
"uid": 123,
"name": "string"
},
"destinationAccount": {
"uid": 123,
"name": "string"
},
"expireDate": {
"date": "string",
"timezone_type": 123,
"timezone": "string"
}
}
]
{
"type": "array",
"items": {
"title": "DomainProxy",
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"domain": {
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"name": {
"type": "string"
}
}
},
"subDomain": {
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"name": {
"type": "string"
}
}
},
"sourceAccount": {
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"name": {
"type": "string"
}
}
},
"destinationAccount": {
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"name": {
"type": "string"
}
}
},
"expireDate": {
"type": "object",
"properties": {
"date": {
"type": "string"
},
"timezone_type": {
"type": "integer"
},
"timezone": {
"type": "string"
}
}
}
}
}
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string/domainsproxies

Auf dieser Seite